### Method

# Ide Symbol get_header_location

#### Declaration

    IdeLocation*
    ide_symbol_get_header_location (
      IdeSymbol* self
    )

#### Description

Gets the header location, if any.

Available since: | 3.32

Gets property | `Ide.Symbol:header-location`

#### Return value

Returns: | `IdeLocation`
| An `IdeLocation` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.